//---------------------------------------------------------------------------
#ifndef PopupFrmH
#define PopupFrmH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TfrmPopup : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel1;
    TRichView *rv;
    TRVStyle *rvs;
	void __fastcall FormKeyPress(TObject *Sender, wchar_t &Key);
    void __fastcall rvClick(TObject *Sender);
    void __fastcall FormDeactivate(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
    void Build(int DemoNo);
    void MoveToMouse();
public:		// User declarations
    __fastcall TfrmPopup(TComponent* Owner);
    void ShowTopic(int DemoNo);
};
//---------------------------------------------------------------------------
extern TfrmPopup *frmPopup;
//---------------------------------------------------------------------------
#endif
